Subject: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jun 2015 09:49:44 +0300

> Date: Fri, 5 Jun 2015 22:42:39 +0100
> From: Reuben Thomas <[email-masked]>
> Cc: [email-masked]
> 
>     > flyspell marks as incorrect “etc.”, “i.e.”, “e.g.” &c.
>     
>     I can reproduce part of this with en_GB, but not with en_US. So I
>     think it's an issue with the dictionary, not with flyspell or ispell.
> 
> The en_US dictionary contains "etc", which is incorrect.

Not that I'm maintaining those dictionaries, but why is it incorrect,
in your opinion?  It clearly produces the desirable effect, doesn't it?

> ​When I mention OTHERCHARS, I am looking at the documentation for
> ispell-dictionary-alist. Indeed, when I change language, and I am using
> hunspell, the language definitions seem to be auto-generated. With hunspell,
> OTHERCHARS is set to include ".".​ But indeed, removing it or moving it into
> CASECHARS and NOT-CASECHARS still seems not to help, so I'm back to my original
> workaround.
> 
> But indeed, apart from when I specifically mentioned customising the
> dictionary, I am working with Emacs's default values, not customised at all.
> 
> ​Thanks very much for your help with this.

You are welcome.

Does this mean that your problem is solved, and we can close this bug?
Or does something still need to be fixed in Emacs?